/*
 * Copyright (C) Sapphirecode - All Rights Reserved
 * This file is part of SCode-Eslint-Config which is released under BSD-3-Clause.
 * See file 'LICENSE' for full license details.
 * Created by Timo Hocker <timo@scode.ovh>, March 2020
 */

module.exports = {

  globals: {},

  parser: 'vue-eslint-parser',

  extends: [
    '@scode/eslint-es6',
    'plugin:vue/recommended'
  ],

  plugins: [
    'eslint-plugin-vue'
  ],

  parserOptions: {
    sourceType: 'module',
    parser: 'babel-eslint'
  },

  rules: {
    'vue/prop-name-casing': ['error', 'snake_case']
  }
}
